Different problems with multilanguage site with polylang plugin

Free and Premium WordPress Plugins & Themes Forums WordPress Plugins Hotel Booking Different problems with multilanguage site with polylang plugin

  • This topic has 3 replies, 2 voices, and was last updated 4 months ago by Andre Flores.
Viewing 4 posts - 1 through 4 (of 4 total)
  • Author
    Posts
  • #816814
    Philippe Gauthe
    Participant

    Hello,
    I am actually working in the translation of this project:
    https://apartamentospuertadenajera.com
    and I have some issues with the traductions with polylang.

    First one with the calandar,
    with the same shortcode I cannot have a calendar because it don’t take the previous booking date.

    Secondly,
    With search results and the other importantes pages of the website.
    I tried to use polylang but it can’t swith the language (after result too).
    That means the website is useless except for my main language (spanish)

    I saw that you say to use WPML but it is really expensive (79$) and it was not really clear when I booked your plugin..

    Have you got a date for a good compatibility with Polylang? (I am not the only on in this forum)

    I hope you anderstood me as well,
    Have a good day,
    Philippe

    #817224
    J. Davis
    Keymaster

    Hi Philippe,

    Thank you for your question. Polylang free version provides limited functionality and seems like it does not use translated version of Search Results Page with related translated content like WPML. Or it changes the page after we switch to other language and try to use translated page within plugin settings. So we could not find a way to set this up with free version of Polylang.
    There is also Pro version available in Polylang but we did not have a chance to test it yet unfortunately.

    That’s why we recommend to use WPML as it has been tested by our and WPML developers.

    best regards,
    J. Davis

    #1126831
    Ron Neeleman
    Participant

    Hello,

    Can you please inform me which version of WPML is good enough to tackle the issues as described by Philippe? Only the blog version or do you really need the CMS or Agency version?

    Regards,
    Ron

    #1127417
    Andre Flores
    Moderator

    Hello Ron,

    The Multilingual CMS version is required, as it included String Translation feature, which is required to translate different parts of the theme/plugins.

    Regards,
    Andre

Viewing 4 posts - 1 through 4 (of 4 total)
  • You must be logged in to reply to this topic.